<div nz-row>
  <div nz-col nzSpan="3">
    <button
      nz-button
      nzSize="small"
      nzShape="round"
      style="margin-top: 11px; margin-left: 15px"
      [routerLink]="['/mini-game/tic-tac-toe']"
    >
      Go back
    </button>
  </div>
  <div nz-col nzSpan="21">
    <h1>Battleships</h1>
  </div>
</div>
<nz-divider></nz-divider>

<div
  nz-row
  nzJustify="center"
  nzGutter="24"
  style="text-align: center"
  *ngIf="game"
>
  <div nz-col nzSpan="8">Your opponent: {{ opponent.name }}</div>
  <div nz-col nzSpan="8" *ngIf="!game?.winner">Selecting: {{ selecting }}</div>
  <div nz-col nzSpan="8" *ngIf="game.winner">
    Winner:
    <nz-tag [nzColor]="'green'" *ngIf="game.winner.id === currentEntityId">{{
      game?.winner?.name
    }}</nz-tag>
    <nz-tag
      [nzColor]="'red'"
      *ngIf="
        game.winner.id !== currentEntityId &&
        game.winner.id !== '00000000-0000-0000-0000-000000000000'
      "
      >{{ game?.winner?.name }}</nz-tag
    >
    <nz-tag
      [nzColor]="'orange'"
      *ngIf="
        game.winner && game.winner.id === '00000000-0000-0000-0000-000000000000'
      "
      >Draw</nz-tag
    >
  </div>
</div>

<nz-divider></nz-divider>
